using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using UniversityContracts.BindingModels;
using UniversityContracts.SearchModels;
using UniversityContracts.ViewModels;

namespace UniversityContracts.StoragesContracts
{
    public interface IEducationStatusStorage
    {
        List<EducationStatusViewModel> GetFullList();
        List<EducationStatusViewModel> GetFilteredList(EducationStatusSearchModel model);
        EducationStatusViewModel? GetElement(EducationStatusSearchModel model);
        EducationStatusViewModel? Insert(EducationStatusBindingModel model);
        EducationStatusViewModel? Update(EducationStatusBindingModel model);
        EducationStatusViewModel? Delete(EducationStatusBindingModel model);
    }
}
